<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SharedStringsTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SharedStringsTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":10,"i2":10,"i3":10,"i4":10,"i5":42,"i6":10,"i7":42,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SharedStringsTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
               title="interface in org.apache.poi.xssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/model/SingleXmlCells.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/SharedStringsTable.html"
               target="_top">Frames</a></li>
        <li><a href="SharedStringsTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.model</div>
    <h2 title="Class SharedStringsTable" class="title">Class SharedStringsTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.model.SharedStringsTable</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable, <a
                            href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                            title="interface in org.apache.poi.xssf.model">SharedStrings</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SharedStringsTable</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>
implements <a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
              title="interface in org.apache.poi.xssf.model">SharedStrings</a>, java.io.Closeable</pre>
                <div class="block">Table of strings shared across all sheets in a workbook.
                    <p>
                        A workbook may contain thousands of cells containing string (non-numeric) data. Furthermore this
                        data is very
                        likely to be repeated across many rows or columns. The goal of implementing a single string
                        table that is shared
                        across the workbook is to improve performance in opening and saving the file by only reading and
                        writing the
                        repetitive information once.
                    </p>
                    <p>
                        Consider for example a workbook summarizing information for cities within various countries.
                        There may be a
                        column for the name of the country, a column for the name of each city in that country, and a
                        column
                        containing the data for each city. In this case the country name is repetitive, being duplicated
                        in many cells.
                        In many cases the repetition is extensive, and a tremendous savings is realized by making use of
                        a shared string
                        table when saving the workbook. When displaying text in the spreadsheet, the cell table will
                        just contain an
                        index into the string table as the value of a cell, instead of the full string.
                    </p>
                    <p>
                        The shared string table contains all the necessary information for displaying the string: the
                        text, formatting
                        properties, and phonetic properties (for East Asian languages).
                    </p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#count">count</a></span></code>
                                    <div class="block">An integer representing the total count of strings in the
                                        workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#uniqueCount">uniqueCount</a></span></code>
                                    <div class="block">An integer representing the total count of unique strings in the
                                        Shared String Table.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#SharedStringsTable--">SharedStringsTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#SharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-">SharedStringsTable</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#addEntry-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst-">addEntry</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;st)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>addSharedStringItem(RichTextString string)</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#addSharedStringItem-org.apache.poi.ss.usermodel.RichTextString-">addSharedStringItem</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;string)</code>
                                    <div class="block">Add an entry to this Shared String table (a new value is appended
                                        to the end).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#close--">close</a></span>()</code>
                                    <div class="block">Close any open resources, like temp files.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#commit--">commit</a></span>()</code>
                                    <div class="block">Save the content in the underlying package part.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#getCount--">getCount</a></span>()</code>
                                    <div class="block">Return an integer representing the total count of strings in the
                                        workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#getEntryAt-int-">getEntryAt</a></span>(int&nbsp;idx)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span
                                                class="deprecationComment">use <code>getItemAt(int idx)</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#getItemAt-int-">getItemAt</a></span>(int&nbsp;idx)</code>
                                    <div class="block">Return a string item by index</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#getItems--">getItems</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>getSharedStringItems</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#getSharedStringItems--">getSharedStringItems</a></span>()</code>
                                    <div class="block">Provide access to the strings in the SharedStringsTable</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#getUniqueCount--">getUniqueCount</a></span>()</code>
                                    <div class="block">Returns an integer representing the total count of unique strings
                                        in the Shared String Table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#readFrom-java.io.InputStream-">readFrom</a></span>(java.io.InputStream&nbsp;is)</code>
                                    <div class="block">Read this shared strings table from an XML file.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#writeTo-java.io.OutputStream-">writeTo</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write this table out as XML.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html#xmlText-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst-">xmlText</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;st)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="count">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>count</h4>
                                <pre>protected&nbsp;int count</pre>
                                <div class="block">An integer representing the total count of strings in the workbook.
                                    This count does not
                                    include any numbers, it counts only the total of text strings in the workbook.
                                </div>
                            </li>
                        </ul>
                        <a name="uniqueCount">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>uniqueCount</h4>
                                <pre>protected&nbsp;int uniqueCount</pre>
                                <div class="block">An integer representing the total count of unique strings in the
                                    Shared String Table.
                                    A string is unique even if it is a copy of another string, but has different
                                    formatting applied
                                    at the character level.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SharedStringsTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SharedStringsTable</h4>
                                <pre>public&nbsp;SharedStringsTable()</pre>
                            </li>
                        </ul>
                        <a name="SharedStringsTable-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SharedStringsTable</h4>
                                <pre>public&nbsp;SharedStringsTable(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
                   throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="readFrom-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFrom</h4>
                                <pre>public&nbsp;void&nbsp;readFrom(java.io.InputStream&nbsp;is)
              throws java.io.IOException</pre>
                                <div class="block">Read this shared strings table from an XML file.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>is</code> - The input stream containing the XML document.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while reading.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="xmlText-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>xmlText</h4>
                                <pre>protected&nbsp;java.lang.String&nbsp;xmlText(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;st)</pre>
                            </li>
                        </ul>
                        <a name="getEntryAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEntryAt</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;getEntryAt(int&nbsp;idx)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getItemAt(int idx)</code> instead</span>
                                </div>
                                <div class="block">Return a string item by index</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - index of item to return.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the item at the specified position in this Shared String table.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getItemAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getItemAt</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;getItemAt(int&nbsp;idx)</pre>
                                <div class="block">Return a string item by index</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/SharedStrings.html#getItemAt-int-">getItemAt</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                                title="interface in org.apache.poi.xssf.model">SharedStrings</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - index of item to return.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the item at the specified position in this Shared String table.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCount</h4>
                                <pre>public&nbsp;int&nbsp;getCount()</pre>
                                <div class="block">Return an integer representing the total count of strings in the
                                    workbook. This count does not
                                    include any numbers, it counts only the total of text strings in the workbook.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/SharedStrings.html#getCount--">getCount</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                                title="interface in org.apache.poi.xssf.model">SharedStrings</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the total count of strings in the workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUniqueCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUniqueCount</h4>
                                <pre>public&nbsp;int&nbsp;getUniqueCount()</pre>
                                <div class="block">Returns an integer representing the total count of unique strings in
                                    the Shared String Table.
                                    A string is unique even if it is a copy of another string, but has different
                                    formatting applied
                                    at the character level.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/model/SharedStrings.html#getUniqueCount--">getUniqueCount</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
                                                title="interface in org.apache.poi.xssf.model">SharedStrings</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the total count of unique strings in the workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addEntry-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addEntry</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;int&nbsp;addEntry(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&nbsp;st)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>addSharedStringItem(RichTextString string)</code> instead</span>
                                </div>
                                <div class="block">Add an entry to this Shared String table (a new value is appended to
                                    the end).

                                    <p>
                                        If the Shared String table already contains this <code>CTRst</code> bean, its
                                        index is returned.
                                        Otherwise a new entry is aded.
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>st</code> - the entry to add</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index the index of added entry</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addSharedStringItem-org.apache.poi.ss.usermodel.RichTextString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addSharedStringItem</h4>
                                <pre>public&nbsp;int&nbsp;addSharedStringItem(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;string)</pre>
                                <div class="block">Add an entry to this Shared String table (a new value is appended to
                                    the end).

                                    <p>
                                        If the Shared String table already contains this string entry, its index is
                                        returned.
                                        Otherwise a new entry is added.
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>string</code> - the entry to add</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>index the index of added entry</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getItems--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getItems</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Removal.html"
                                        title="annotation in org.apache.poi.util">@Removal</a>(<a
                                        href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;java.util.List&lt;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRst&gt;&nbsp;getItems()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getSharedStringItems</code> instead</span>
                                </div>
                                <div class="block">Provide low-level access to the underlying array of CTRst beans</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>array of CTRst beans</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSharedStringItems--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSharedStringItems</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&gt;&nbsp;getSharedStringItems()</pre>
                                <div class="block">Provide access to the strings in the SharedStringsTable</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>list of shared string instances</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeTo-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeTo</h4>
                                <pre>public&nbsp;void&nbsp;writeTo(java.io.OutputStream&nbsp;out)
             throws java.io.IOException</pre>
                                <div class="block">Write this table out as XML.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - The stream to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while writing.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>protected&nbsp;void&nbsp;commit()
               throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">POIXMLDocumentPart</a></code></span>
                                </div>
                                <div class="block">Save the content in the underlying package part.
                                    Default implementation is empty meaning that the package part is left unmodified.
                                    <p>
                                        Sub-classes should override and add logic to marshal the "model" into Ooxml4J.
                                    <p>
                                        For example, the code saving a generic XML entry may look as follows:
                                    <pre>
 protected void commit() throws IOException {
   PackagePart part = getPackagePart();
   OutputStream out = part.getOutputStream();
   XmlObject bean = getXmlBean(); //the "model" which holds changes in memory
   bean.save(out, DEFAULT_XML_OPTIONS);
   out.close();
 }
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                                title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="close--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>close</h4>
                                <pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
                                <div class="block">Close any open resources, like temp files. This method is called by
                                    <code>XSSFWorkbook#close()</code>.
                                    <p>
                                        This implementation is empty but subclasses may need to implement some logic.
                                    </p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs while closing.</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SharedStringsTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/model/SharedStrings.html"
               title="interface in org.apache.poi.xssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/model/SingleXmlCells.html"
               title="class in org.apache.poi.xssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/model/SharedStringsTable.html"
               target="_top">Frames</a></li>
        <li><a href="SharedStringsTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
